Browse Source

Sync with portage [Sun Oct 24 17:05:03 MSK 2021].

master 2109
root 3 months ago
parent
commit
6e633026e2
  1. BIN
      Manifest.files.gz
  2. BIN
      app-admin/Manifest.gz
  3. 5
      app-admin/consul-replicate/consul-replicate-0.2.0.ebuild
  4. 1
      app-admin/usbview/Manifest
  5. 12
      app-admin/usbview/metadata.xml
  6. 30
      app-admin/usbview/usbview-2.1.ebuild
  7. BIN
      app-cdr/Manifest.gz
  8. 1
      app-cdr/gcdemu/Manifest
  9. 56
      app-cdr/gcdemu/gcdemu-3.2.6.ebuild
  10. BIN
      app-doc/Manifest.gz
  11. 1
      app-doc/zsh-lovers/Manifest
  12. 1
      app-doc/zsh-lovers/metadata.xml
  13. 26
      app-doc/zsh-lovers/zsh-lovers-0.9.0.ebuild
  14. 2
      app-doc/zsh-lovers/zsh-lovers-0.9.1.ebuild
  15. BIN
      app-editors/Manifest.gz
  16. 6
      app-editors/vscode/Manifest
  17. 30
      app-editors/vscode/vscode-1.61.2.ebuild
  18. 6
      app-editors/vscodium/Manifest
  19. 30
      app-editors/vscodium/vscodium-1.61.2.ebuild
  20. BIN
      app-emulation/Manifest.gz
  21. 4
      app-emulation/wine-staging/Manifest
  22. 22
      app-emulation/wine-staging/wine-staging-6.20.ebuild
  23. 3
      app-emulation/wine-vanilla/Manifest
  24. 578
      app-emulation/wine-vanilla/wine-vanilla-6.0.ebuild
  25. 22
      app-emulation/wine-vanilla/wine-vanilla-6.20.ebuild
  26. BIN
      app-i18n/Manifest.gz
  27. 1
      app-i18n/uim/uim-1.8.9_pre20210103.ebuild
  28. BIN
      app-misc/Manifest.gz
  29. 2
      app-misc/broot/Manifest
  30. 266
      app-misc/broot/broot-1.6.6.ebuild
  31. 2
      app-misc/jdupes/metadata.xml
  32. 14
      app-misc/wcd/files/wcd-6.0.3-doc-path.patch
  33. 47
      app-misc/wcd/wcd-6.0.3-r2.ebuild
  34. BIN
      app-portage/Manifest.gz
  35. 4
      app-portage/emerge-delta-webrsync/emerge-delta-webrsync-3.7.6.ebuild
  36. BIN
      dev-cpp/Manifest.gz
  37. 1
      dev-cpp/libjson-rpc-cpp/Manifest
  38. 56
      dev-cpp/libjson-rpc-cpp/libjson-rpc-cpp-1.4.0.ebuild
  39. BIN
      dev-db/Manifest.gz
  40. 4
      dev-db/go-etcd/metadata.xml
  41. 2
      dev-db/pgadmin4/pgadmin4-4.29-r3.ebuild
  42. 2
      dev-db/pgadmin4/pgadmin4-4.30-r3.ebuild
  43. BIN
      dev-go/Manifest.gz
  44. 4
      dev-go/go-eapache-queue/go-eapache-queue-1.0.2.ebuild
  45. 4
      dev-go/go-eapache-queue/go-eapache-queue-9999.ebuild
  46. 4
      dev-go/go-snappy/go-snappy-0_pre20150729.ebuild
  47. 4
      dev-go/go-snappy/go-snappy-0_pre20160213.ebuild
  48. 4
      dev-go/go-snappy/go-snappy-9999.ebuild
  49. 4
      dev-go/go-spew/go-spew-0_pre20150619.ebuild
  50. 4
      dev-go/go-spew/go-spew-9999.ebuild
  51. 4
      dev-go/go-sqlite3/go-sqlite3-1.1.0_p20160131.ebuild
  52. 4
      dev-go/go-sqlite3/go-sqlite3-1.1.0_p20160307.ebuild
  53. BIN
      dev-lang/Manifest.gz
  54. 1
      dev-lang/bashforth/Manifest
  55. 25
      dev-lang/bashforth/bashforth-0.58a.ebuild
  56. 8
      dev-lang/bashforth/metadata.xml
  57. 21
      dev-lang/perl/perl-5.34.0-r5.ebuild
  58. 267
      dev-lang/ruby/ruby-2.7.4-r1.ebuild
  59. 267
      dev-lang/ruby/ruby-3.0.2-r1.ebuild
  60. BIN
      dev-libs/Manifest.gz
  61. 4
      dev-libs/crc32c/crc32c-1.1.2-r1.ebuild
  62. 44
      dev-libs/leveldb/files/leveldb-1.23-remove-benchmark-dep.patch
  63. 3
      dev-libs/leveldb/files/leveldb-1.23-system-testdeps.patch
  64. 6
      dev-libs/leveldb/leveldb-1.23-r1.ebuild
  65. 2
      dev-libs/libatomic_ops/libatomic_ops-7.6.12.ebuild
  66. 49
      dev-libs/libpcre2/files/libpcre2-10.38-fix-fix-incorrect-detection-of-alternatives-in-first-character-search.patch
  67. 97
      dev-libs/libpcre2/libpcre2-10.38-r1.ebuild
  68. 8
      dev-perl/Dist-Zilla-Plugin-MetaProvides-Package/Dist-Zilla-Plugin-MetaProvides-Package-2.4.3-r1.ebuild
  69. 8
      dev-perl/Dist-Zilla-Plugin-MetaProvides/Dist-Zilla-Plugin-MetaProvides-2.2.4-r1.ebuild
  70. 34
      dev-perl/Dist-Zilla-Plugin-NextVersion-Semantic/Dist-Zilla-Plugin-NextVersion-Semantic-0.2.5-r1.ebuild
  71. 1
      dev-perl/Dist-Zilla-Plugin-NextVersion-Semantic/Manifest
  72. 30
      dev-perl/Dist-Zilla-Plugin-PodWeaver/Dist-Zilla-Plugin-PodWeaver-4.9.0.ebuild
  73. 1
      dev-perl/Dist-Zilla-Plugin-PodWeaver/Manifest
  74. 6
      dev-perl/Dist-Zilla-Plugin-SurgicalPodWeaver/Dist-Zilla-Plugin-SurgicalPodWeaver-0.2.300-r1.ebuild
  75. 8
      dev-perl/Dist-Zilla-Plugin-Test-Perl-Critic/Dist-Zilla-Plugin-Test-Perl-Critic-3.1.0-r1.ebuild
  76. 34
      dev-perl/Dumbbench/Dumbbench-0.111.0.ebuild
  77. 1
      dev-perl/Dumbbench/Manifest
  78. 6
      dev-perl/DynaLoader-Functions/DynaLoader-Functions-0.3.0-r1.ebuild
  79. 29
      dev-perl/Email-Abstract/Email-Abstract-3.9.0.ebuild
  80. 1
      dev-perl/Email-Abstract/Manifest
  81. 26
      dev-perl/Email-Address-XS/Email-Address-XS-1.10.0.ebuild
  82. 1
      dev-perl/Email-Address-XS/Manifest
  83. 6
      dev-perl/Email-Address/Email-Address-1.912.0-r1.ebuild
  84. 8
      dev-perl/Email-Date-Format/Email-Date-Format-1.5.0-r1.ebuild
  85. 8
      dev-perl/Email-Date/Email-Date-1.104.0-r3.ebuild
  86. 8
      dev-perl/Email-Filter/Email-Filter-1.34.0-r1.ebuild
  87. 8
      dev-perl/Email-FolderType/Email-FolderType-0.814.0-r2.ebuild
  88. 8
      dev-perl/Email-LocalDelivery/Email-LocalDelivery-1.200.0-r3.ebuild
  89. 37
      dev-perl/Email-MIME/Email-MIME-1.946.0.ebuild
  90. 1
      dev-perl/Email-MIME/Manifest
  91. 8
      dev-perl/Email-MessageID/Email-MessageID-1.406.0-r1.ebuild
  92. 8
      dev-perl/Email-Reply/Email-Reply-1.204.0-r1.ebuild
  93. 43
      dev-perl/Email-Sender/Email-Sender-2.500.0.ebuild
  94. 1
      dev-perl/Email-Sender/Manifest
  95. 1
      dev-perl/Mail-DMARC/Mail-DMARC-1.202.104.270-r1.ebuild
  96. 86
      dev-perl/Mail-DMARC/Mail-DMARC-1.202.109.270-r1.ebuild
  97. 1
      dev-perl/Mail-DMARC/Manifest
  98. BIN
      dev-perl/Manifest.gz
  99. 1
      dev-perl/Sys-CpuLoad/Sys-CpuLoad-0.310.0-r2.ebuild
  100. BIN
      dev-python/Manifest.gz

BIN
Manifest.files.gz

BIN
app-admin/Manifest.gz

5
app-admin/consul-replicate/consul-replicate-0.2.0.ebuild

@ -1,7 +1,7 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=7
inherit golang-base
@ -79,6 +79,7 @@ src_prepare() {
-e 's|t.Errorf("expected %q to be %q", config.Prefixes\[0\], expected)|t.Errorf("expected %v to be %v", config.Prefixes[0], expected)|' \
-e 's|t.Errorf("expected %q to be %q", value.Data, data)|t.Errorf("expected %v to be %v", value.Data, data)|' \
-i cli_test.go runner_test.go || die
default
}
src_compile() {

1
app-admin/usbview/Manifest

@ -1 +1,2 @@
DIST usbview-2.0.tar.gz 366337 BLAKE2B d3ce8f3b97ebb650f7cc8b47d7a4c4b985022811f55b43b41a65aaa120450aa187ce2dfc2671315575dfcbd108b68ca50420145a6c59ab85f7c4fcfc53a233f9 SHA512 87b3d0b0c734c94e5527f19575c0460f5c0b894dac29936a759d573058c9c007ad59c9be32a5c6d485cba258193efe4ca15bdd6f3ca31df321ed230778b5404f
DIST usbview-2.1.tar.gz 377376 BLAKE2B 76e6a45a31006f7a7b69783b608dd33304a1a3401c784bfdce62079c764795cbd4914b030ca44884f2f9dd14a479bd679be6c1eabd8bc1776a902b4d1446d82f SHA512 7d973eb9ad74e8c0842396e6239ee44d5feab2d3ce412f7c91e18b947604bcf3c2d3dc456bbefc4cd7567a03d9306593b378ce29c3fb3b13eefe75af3f4c14d4

12
app-admin/usbview/metadata.xml

@ -1,5 +1,15 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<maintainer type="person" proxied="yes">
<email>telans@posteo.de</email>
<name>James Beddek</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<name>Proxy Maintainers</name>
<email>proxy-maint@gentoo.org</email>
</maintainer>
<upstream>
<remote-id type="github">gregkh/usbview</remote-id>
</upstream>
</pkgmetadata>

30
app-admin/usbview/usbview-2.1.ebuild

@ -0,0 +1,30 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit linux-info
DESCRIPTION="Display the topology of devices on the USB bus"
HOMEPAGE="http://www.kroah.com/linux-usb/ https://github.com/gregkh/usbview"
SRC_URI="http://www.kroah.com/linux-usb/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
RDEPEND="
dev-libs/glib:2
x11-libs/gdk-pixbuf:2
x11-libs/gtk+:3
"
DEPEND="${RDEPEND}"
BDEPEND="
virtual/imagemagick-tools[png,svg]
virtual/pkgconfig
"
pkg_setup() {
CONFIG_CHECK="~DEBUG_FS"
linux-info_pkg_setup
}

BIN
app-cdr/Manifest.gz

1
app-cdr/gcdemu/Manifest

@ -1,2 +1,3 @@
DIST gcdemu-3.2.4.tar.bz2 52209 BLAKE2B 620b1ea8616cf0d7f80954dd00ad1442b55fedafc5ff27ad5aa917e69a803a9629ccadb33ec3fdb2371c464bd484a15e85e00036dee5a67283fbf7e8d64e252c SHA512 920ab87a0b200f3f3983ff878871265084787f1468c042352c319ff3a37131547cc1e981801eefaee1e419ec306b026f7a18da165a17e3ddc6a92998a42e7b41
DIST gcdemu-3.2.5.tar.xz 47960 BLAKE2B 8e45fe31461120b33080b9e40bd1def1c4ddfe562a9ca60814c66fbe073325d867692bd367e89e8281e34955eb232c37d8908a8962f5aa4587000b28c296d32b SHA512 d7e7b6ee1677213d858fca18103dd6d06e5de3f6c65fd16f19925b14ef50c73ebd0cbee3cb5c65aa5a59be3da1865f3e87b5e7c1a5921c496ae083727365e10b
DIST gcdemu-3.2.6.tar.xz 47968 BLAKE2B edbe8cb46ce020eec20b2740da99c35d3fd9727a1c65a5e6992de7876d55e24527c8c524e2ccc479a7ca01a0e68bff1488db2746838fc56ea29d424928c2338f SHA512 1ed08c159f5de9ed5ad850508356998ad17f4bbb17b111ba385c913f2058daa32d8e9cd7ae04cdeacca9c7f3004f29c3c6e995cfd14a7eb60bdb32489f49515e

56
app-cdr/gcdemu/gcdemu-3.2.6.ebuild

@ -0,0 +1,56 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{8..10} )
inherit cmake gnome2-utils python-single-r1 xdg-utils
DESCRIPTION="Gtk+ GUI for controlling cdemu-daemon"
HOMEPAGE="https://cdemu.sourceforge.io"
SRC_URI="https://download.sourceforge.net/cdemu/gcdemu/${P}.tar.xz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
# librsvg for pixbuf-loader
RDEPEND="${PYTHON_DEPS}
app-cdr/cdemu-daemon:0/7
$(python_gen_cond_dep '
dev-python/pygobject:3[${PYTHON_USEDEP}]
')
gnome-base/librsvg:2
x11-libs/gdk-pixbuf[introspection]
x11-libs/gtk+:3[introspection]
x11-libs/libnotify[introspection]"
BDEPEND="${PYTHON_DEPS}
dev-util/desktop-file-utils
>=dev-util/intltool-0.21
sys-devel/gettext
virtual/pkgconfig"
DOCS=( AUTHORS README )
src_prepare() {
cmake_src_prepare
python_fix_shebang src/gcdemu
}
src_configure() {
local mycmakeargs=( -DPOST_INSTALL_HOOKS=OFF )
cmake_src_configure
}
pkg_postinst() {
xdg_desktop_database_update
gnome2_schemas_update
}
pkg_postrm() {
xdg_desktop_database_update
gnome2_schemas_update
}

BIN
app-doc/Manifest.gz

1
app-doc/zsh-lovers/Manifest

@ -1,2 +1 @@
DIST zsh-lovers_0.9.0.tar.gz 28883 BLAKE2B a9917c2441222ea27937e4bbcfc6ed4ab7594fb406a28bbdc1849ae6dae11fd924dbf50d97b65f4800b1d3ebd044ac6b1516b80924428d007e7070817a82ced5 SHA512 54e7465304313556f9299877314f18cef631c076cad1a8f3b1ce13a6e24dcb4778e852f0eec31bce62bad2bd9503b8741238f097be8cec541e5c4c8f08af9dc4
DIST zsh-lovers_0.9.1.tar.xz 26632 BLAKE2B b5c5015e7e61c21452b688aa46529dd468beac5a034b844185e1a497778a1c83b9d8124551a7b0dfd0d441394b0bf71fe64f4af5af7add3956c0a2a2f79f01ca SHA512 16493f2ec095fbdb992188a732ca4205880fa10fc1f1ab6cde8cbd2a0977d95bb06e46d1635c0c9910c249bec024f3cd13a1f8c6597e5201ef8a26b80fac9c2f

1
app-doc/zsh-lovers/metadata.xml

@ -2,4 +2,5 @@
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<stabilize-allarches/>
</pkgmetadata>

26
app-doc/zsh-lovers/zsh-lovers-0.9.0.ebuild

@ -1,26 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
DESCRIPTION="Tips, tricks and examples for the Z shell"
HOMEPAGE="http://grml.org/zsh/zsh-lovers.html"
SRC_URI="http://deb.grml.org/pool/main/z/${PN}/${PN}_${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
DEPEND="app-text/asciidoc"
src_compile() {
asciidoc zsh-lovers.1.txt || die
mv zsh-lovers.1.html zsh-lovers.html || die
a2x -f manpage zsh-lovers.1.txt || die
}
src_install() {
doman zsh-lovers.1
dohtml zsh-lovers.html
dodoc README
}

2
app-doc/zsh-lovers/zsh-lovers-0.9.1.ebuild

@ -9,7 +9,7 @@ SRC_URI="https://deb.grml.org/pool/main/z/${PN}/${PN}_${PV}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
DEPEND="app-text/asciidoc"

BIN
app-editors/Manifest.gz

6
app-editors/vscode/Manifest

@ -1,9 +1,9 @@
DIST vscode-1.58.2-amd64.tar.gz 105591644 BLAKE2B bc130bfeab48f60f4149aa9d44aebbfba121cb629f1295acb23361a06e5071ddb2dc147c7d161b67f57d45fdb1337784a85bb4f08c6f82a48675c35be0037047 SHA512 00e4012d133e8755b13b1b0136078db872b7f202c59663ea46b137451338ca77f8020cc7fffa807ba5e5963105f0ce8ea0d2a0f29702078a64ace5743da6c83e
DIST vscode-1.58.2-arm.tar.gz 96167069 BLAKE2B 1c19cf29c9419663216e3ccf521314e0102efcd18a69b0e3668259f8172a377300f1ca900e2d0cda325619a855fdcd6def5db34ebab0e6f79bc0ffd1cb2eb609 SHA512 32c4011c0a10827b73388b469246c179fc3aa06e883c1264f215cd96695821945401b4d0bfc7cf324768977eeb0c785ab4948fdb50899b26b9ca469087ab3b45
DIST vscode-1.58.2-arm64.tar.gz 110942132 BLAKE2B 3fb2a83087789690ba930ae0910b931f8f2ed129049e536d172bd67be6d928afb2e17ba09756c1dd3f9c145354fa8eface31928f419f74df165bb0c60588dc57 SHA512 f1ae69955251b6e8e92eebf01edfd820cdbf06c887349ba1cb6db2ff8aee170183029a0f2b5075b8a07ed9a26e982b87d63fe0fe4a193fa71ff5ebb52fdf1221
DIST vscode-1.59.1-amd64.tar.gz 106142213 BLAKE2B eed73d0e98ea0275ed005586f18e14b3671a4dea301f44f469798bae3c298d8eb7e819c896957f9a1cd3e978ce171ff9d3a7433ede540b0647cae735b2d53bcd SHA512 c7ae7417bd233498b6be0dbcbc67ee44283a14938bfecb3b61d224533a4edf31c291bebdb90e87d769cb52afb9ac17f2fb20ba64dab7773d1ce965aa9d7bfae6
DIST vscode-1.59.1-arm.tar.gz 97705768 BLAKE2B daf2b56ecbf45b57d6b147e4b839000621e367caac66189151b9021ade6901941a8d641291a132d1c1bbdf40bb411bc65d8663743307e896670cfaf24d335feb SHA512 ade1499986a4cefad933cbcf9a073230e74b1a554248e41f1b58480d53b68f6ed0fa0e8faa6f52e59eebc94dcc5127bdbedf77deeab0b108ec7832c71cfd3f6f
DIST vscode-1.59.1-arm64.tar.gz 111284699 BLAKE2B c349c47208a6caf868070f9bb5bb6b23ff6eaa11de8d754edf8bec8fdd6fdd81c0ff246829a7ef4a92697ecb6356b779456aa8c1781f50ca4c7891297788aa43 SHA512 27b8aeac5ed2bac8bc6dc502ca39cac94f7e8ea4ea6baedffaa3b44dea451738e798674976444268db5543b6a144d55cadd47ded755a66c484c4c05cd5d20ad8
DIST vscode-1.60.2-amd64.tar.gz 105537736 BLAKE2B 395cbea3c7522749423d8b79d7461189dbb04b1d751bb4a70b6ce7782e971c1dac0e51cda91e961cab0fceeef16e073803d2f54bd6d8840596a2ea45f9f34369 SHA512 caf8acea129533a6cb5824d5ed97f9e9f740dcdc67c3a0c3cf778d58a8fddebe870892d25ad74116c5311a53497db933ff70e5e250480c3a0d76e5fc62733b02
DIST vscode-1.60.2-arm.tar.gz 94232609 BLAKE2B eb896cc316dfc96d6d523d15da735b18eb6e6011d7ec92b5f9fa8732f574097579c8af4601312c831a9f4aa752087188e203b761e86df31b688838b45354deb1 SHA512 8261b71740344f927091dadd28bcb06d17b70551da0fd0b3c20378ec744cc31660ae32aadedd87a8942c410da381dbf7e023c27af913a62a1bba774d6de241ea
DIST vscode-1.60.2-arm64.tar.gz 107827801 BLAKE2B aff930e81534972f2dc3d7d0d5cc489ec77818c0304859d64838317fbaf9225f4325a8b237268569f88eca7c76ea7a73275d90747b4485eff30d5f59a9cdd977 SHA512 cc50c7ec44d546b227c271f621be87120a1c36c2ed8236421e9c7227c1cb83bf970d5673191afc1383c4479393b5fae873fd6829179d1d9139b6c3ec32c5c1fd
DIST vscode-1.61.2-amd64.tar.gz 112814371 BLAKE2B c297d27f12dbbf5bb752076881ae28100d1b051d14528425f8227c5c70ce779ab8db93b960bd4d4ff9788fa2e63167c4253324ba4413b0975d41608c541c6303 SHA512 52c3b89612f2d2f72ea9de9449d191130a23a3dbae1f2876e1716773abe9b6c7064a8eb6053d6bc94438b6e3753df2f00ccc4452b2404fcb2c052ea6090d83cc
DIST vscode-1.61.2-arm.tar.gz 94477034 BLAKE2B cecb63ed58a36fbbef13cf7de086f0f7f77efea03fc605801b3064c273736ea999b91ef84e0c900ca415955cd7a508d20c33e92a5acab0dcca388d9624743902 SHA512 9cfd10c4cc6d2e3eaa1323afc1b493448632f57681b1e7d595d7f52a7e7d4c4a2ce48d2e6b21b2380fb7be8d98d33d5848a91af178eed974f952bcd7cfbbcb3d
DIST vscode-1.61.2-arm64.tar.gz 108043274 BLAKE2B f512c85102b3e3858a5ba8f2a63ec9fc7fdee77ffbe768287cd72e89103880002fd2ca77bc72f0210f2f4c0e4cec2b7708404e7db874d7c87d97b17361a26d4e SHA512 dcac0d56bde8b1fd855d386da77e164354f8c819e994d395cfd6b9cf50d5ac96421745c6efc20ec89448e6020b61b0d4ed482e74ecb39422a6acf3662f905dfa

30
app-editors/vscode/vscode-1.58.2.ebuild → app-editors/vscode/vscode-1.61.2.ebuild

@ -39,18 +39,31 @@ SLOT="0"
KEYWORDS="-* ~amd64 ~arm ~arm64"
RDEPEND="
app-accessibility/at-spi2-atk
app-accessibility/at-spi2-atk:2
app-accessibility/at-spi2-core:2
app-crypt/libsecret[crypt]
dev-libs/atk
dev-libs/expat
dev-libs/glib:2
dev-libs/nspr
dev-libs/nss
media-libs/alsa-lib
media-libs/libpng:0/16
media-libs/mesa
sys-apps/dbus
x11-libs/cairo
x11-libs/gdk-pixbuf:2
x11-libs/gtk+:3
x11-libs/libnotify
x11-libs/libdrm
x11-libs/libX11
x11-libs/libxcb
x11-libs/libXcomposite
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libxkbcommon
x11-libs/libxkbfile
x11-libs/libXScrnSaver
x11-libs/libXtst
x11-libs/libXrandr
x11-libs/libxshmfence
x11-libs/pango
"
@ -87,12 +100,17 @@ src_install() {
insinto "/opt/${PN}"
doins -r *
fperms +x /opt/${PN}/{,bin/}code
fperms +x /opt/${PN}/chrome-sandbox
fperms 4711 /opt/${PN}/chrome-sandbox
fperms 755 /opt/${PN}/resources/app/extensions/git/dist/askpass.sh
fperms 755 /opt/${PN}/resources/app/extensions/git/dist/askpass-empty.sh
fperms -R +x /opt/${PN}/resources/app/out/vs/base/node
fperms +x /opt/${PN}/resources/app/node_modules.asar.unpacked/vscode-ripgrep/bin/rg
dosym "../../opt/${PN}/bin/code" "usr/bin/vscode"
dosym "../../opt/${PN}/bin/code" "usr/bin/code"
domenu "${FILESDIR}/vscode.desktop"
domenu "${FILESDIR}/vscode-url-handler.desktop"
domenu "${FILESDIR}/vscode-wayland.desktop"
domenu "${FILESDIR}/vscode-url-handler-wayland.desktop"
newicon "resources/app/resources/linux/code.png" "vscode.png"
}

6
app-editors/vscodium/Manifest

@ -1,9 +1,9 @@
DIST vscodium-1.58.2-amd64.tar.gz 109733827 BLAKE2B 0ada13724f2d4255a9ce58d0fd47415f2f5b4adfed144dae884914888df1f9bb735472e378fc2d4dd74fd1168c3361ad4e945a48607aeb3e095658a7b3e0df2c SHA512 dd98dbd88e64e526f78624e2e42bd116a689174d801412f7750c895794b0658b20b9451d336d0837f4030c11ce35368fb3dd0ade078bac393ada813c912a9a8d
DIST vscodium-1.58.2-arm.tar.gz 98395232 BLAKE2B 74bb7a07f9d6a9f107cd74a1a593e7770d67d1f0b2e4b809dab420c8b17fe3902a05a26caf59e2474afdfd01a2d65b0889f2d4298cdf512cfa44df8321a8e65a SHA512 58a08f2a5be9c42410772b97d5456d75044454ace5de92e03ac5bd7ff2dcef284e1e747869752f548bb1237e248981e06a9f9a9b6be99f8e8a50cf52fe6dd2c4
DIST vscodium-1.58.2-arm64.tar.gz 115052512 BLAKE2B d1047b34bf6132f47b7423e35a7cb92b98cbac782db1a086c068d0bd60fcc59c16852f18451ac860c8e8940fce08e6e7671fed3db3e19f7c80e34411865c7b5b SHA512 d34b53f9679006c30f2f422a8311a336eea778995fc8dc7cb0c24ecc02c88bbb2cd442f426fa88afd78f7175c16ce6c9f912eaa900d76fa25081824f91cabe0f
DIST vscodium-1.59.1-amd64.tar.gz 110191208 BLAKE2B e7cc44d690fb0f3c25e0ef39198784ac651bcdc13e84918d44fdfb99b48d918dae8a1c7b9129b482cbe34e98a26bd44d9eb47d5df5daf73fdcffae7b5482b506 SHA512 401df889b5dea5c045fccb3d93fa5f5bcfaeb162977e434498e7600f67efb877c64effac7371f29f51e297c713640df2cad1f4db9540797f7146608e4d8f530b
DIST vscodium-1.59.1-arm.tar.gz 100781835 BLAKE2B 36f463f93b03afc9a191aebaf96cc6eb9c43feb0274a167cca6a983d85381821e10c9cdcba3f384a09d431bb3c4b55fcdd248b9ce93614ac3ddf2129c80f6f87 SHA512 3df672daa85b838bc45a4cb4da3e9001a008ff66ce469f6b9f25d066bdbfaad951f4e8e392cde59fa90024d3977f707b2c5d1d079797803caa538ddc56133b73
DIST vscodium-1.59.1-arm64.tar.gz 115349031 BLAKE2B 9762a344b490ea0278cbb36e0f27a5d62417b8b356b08c62bc1577a4c959f5c65997676a4c8555832bd62ec6af4c3ce253a1c277881cf0430e0af15d56071201 SHA512 b47c2718889cc6bacb79fd73e3e4090a94078768992ca0bb2be77030266d547ad8c8d884deaa7d3925e4c94e74ed3bda8a5fca678459dfd6e64c3d2a752ee9c0
DIST vscodium-1.60.2-amd64.tar.gz 106735938 BLAKE2B e1441fb95829f23adcab06e4ed9b4baefca6ae377570e0759d7327533818ffbf2cc08c8d94b832d6de2e29564e5e26a0f59bb991c6b4ee40007807f2fffb2df7 SHA512 a4c7434cfc0db6dc3f866f8acf2c3f3265dc353d1592582bc3cb9acca76961a3bebf76f7e3487a9a98545b43f800c241a4f51e8cbd7512183450008656ba0f1b
DIST vscodium-1.60.2-arm.tar.gz 97317796 BLAKE2B eb0baee908ed059f16a4e3093e59b6823208fe0e627b1dfd1c9489a655c53735a1bd3d67970e50feef907dec3cc76252eff5e6509fcf5ab8c5255b52182f2cf8 SHA512 b5ed07a61ca468e32a08b27238c8b50b4b76a004dee7a47ca8c98051871c44ba2d9f29296d959f13b80edeeb1a88ec3624c61dee356b8d8727071098f500aea3
DIST vscodium-1.60.2-arm64.tar.gz 111897534 BLAKE2B cf5ae8cd8e98342b0eccbf2fb1385c844f2f1d2fb27b964d455ddcf873ac0f545e5da55530bac11a99ee5e5d962e467a3c61f8848d8312142c6051da0b29db86 SHA512 b07554b8f5eb9865ee2086d68d65494368d2906634055d02e6fe843c8042ef093cd79eed31b5da87fd36a7a26324f37f79daafcbcd463c175a251b3345d9c1f1
DIST vscodium-1.61.2-amd64.tar.gz 114016604 BLAKE2B b9006b0a58adc08df31bbae08a46c233cd69ee80f89493e4564f8f3dbe595481582cb605ff472984f013e364bdafbdd2f587ea3d0065d8ca775eb723f0cd4cb0 SHA512 4a1016bc8e9fea5c76a0c87180ad641f4ec981dbde0b395267580d5207cf181a090d87e984a96c40f46298cbf8185c1afe4af6a8791bc47126f50f1ba95edacc
DIST vscodium-1.61.2-arm.tar.gz 97521784 BLAKE2B c81f5b607905d3be0aa27ee63a49c0ba2225724686d1afc25f7c15289c69fd10022d1ae83390183bd50c1db9c0b74e3c9144e622e81f2895eb891d6800d1bfd2 SHA512 f4f329155282e951273580247e3262b887164f2bedf409700f3a8326e9dd2e20ab95ab4b5fe8dbf2a177487e518c9fe98078a485c08b020b4d73cc7cb9a90431
DIST vscodium-1.61.2-arm64.tar.gz 112085871 BLAKE2B 47c58659d6e4e9a468b014c9d0a8f6ca9739d722a21ec0b3add0a69849b18022dafdcadc759070e054492d6cf2db1bf07e11454fee5623647a54e367f5d94325 SHA512 cf893f6e04a0e657fb889b40069e042ad1b2a287a349c3f05e441ada00504f9ec693f20dfe17a01f6a7d2d298dbecfe94d62f12b8b26769e373f61ae9ffda8f7

30
app-editors/vscodium/vscodium-1.58.2.ebuild → app-editors/vscodium/vscodium-1.61.2.ebuild

@ -38,19 +38,32 @@ KEYWORDS="-* ~amd64 ~arm ~arm64"
IUSE=""
RDEPEND="
app-accessibility/at-spi2-atk
app-accessibility/at-spi2-atk:2
app-accessibility/at-spi2-core:2
app-crypt/libsecret[crypt]
dev-libs/atk
dev-libs/expat
dev-libs/glib:2
dev-libs/nspr
dev-libs/nss
media-libs/alsa-lib
media-libs/libpng:0/16
media-libs/mesa
net-print/cups
sys-apps/dbus
x11-libs/cairo
x11-libs/gdk-pixbuf:2
x11-libs/gtk+:3
x11-libs/libnotify
x11-libs/libdrm
x11-libs/libX11
x11-libs/libxcb
x11-libs/libXcomposite
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libxkbcommon
x11-libs/libxkbfile
x11-libs/libXScrnSaver
x11-libs/libXtst
x11-libs/libXrandr
x11-libs/libxshmfence
x11-libs/pango
"
@ -79,12 +92,17 @@ src_install() {
insinto "/opt/${PN}"
doins -r *
fperms +x /opt/${PN}/{,bin/}codium
fperms +x /opt/${PN}/chrome-sandbox
fperms 4711 /opt/${PN}/chrome-sandbox
fperms 755 /opt/${PN}/resources/app/extensions/git/dist/askpass.sh
fperms 755 /opt/${PN}/resources/app/extensions/git/dist/askpass-empty.sh
fperms -R +x /opt/${PN}/resources/app/out/vs/base/node
fperms +x /opt/${PN}/resources/app/node_modules.asar.unpacked/vscode-ripgrep/bin/rg
dosym "../../opt/${PN}/bin/codium" "usr/bin/vscodium"
dosym "../../opt/${PN}/bin/codium" "usr/bin/codium"
domenu "${FILESDIR}/vscodium.desktop"
domenu "${FILESDIR}/vscodium-url-handler.desktop"
domenu "${FILESDIR}/vscodium-wayland.desktop"
domenu "${FILESDIR}/vscodium-url-handler-wayland.desktop"
newicon "resources/app/resources/linux/code.png" "vscodium.png"
}

BIN
app-emulation/Manifest.gz

4
app-emulation/wine-staging/Manifest

@ -1,10 +1,10 @@
DIST gentoo-wine-patches-20200523.tar.xz 59740 BLAKE2B 951d7f305a6e5b3759c8095629d48de4830b8a0c9558de859a9e02d9824fe85553fda2bc0820ca97022a0ca63ac28473dadfe827821220445dbf1a7fd15c7c98 SHA512 46eea45c982b475e3ff444cbd87c6a0a235fc8dcaf3d83d89655a10ed8841a9ddb09e5a638a05803f3bf2c3bd34165c16067aba561efa4c183ee396dc31cdf75
DIST gentoo-wine-patches-20210925.tar.xz 59836 BLAKE2B c6d41db309bf0470d0e8ef771d791240209f77d967031943232218e8e737987a4a74847d89d6bf8739ff0698b28b656a8b9ac830ee1da457be2aab27ededb123 SHA512 721d4d7b6a2c4336555a7faed7202a8ad6872ee37e4daea6fab2b5ff5bf5d73ce41f25d0bd4fd9b45e2c522cb19c1349144a40be32ccdd7ded7f61055d6d85c8
DIST wine-6.16.tar.xz 24789520 BLAKE2B 473ddec26139f7fedc091e2e037a88c8bde6f4061b196995aaa7e0352969fc8920edb47754c97478468a482f1d5a9be9e2cf858061d3add183fd90ee135a6ec3 SHA512 83d97eefeb35ee85d6ae180056d7b0e5864a90e1c2b63b6fd77d5cd38038b4eaa1fd067e7d5c5ee56d8cd811149db23a8581e1497bc1e36f9adad1012296b96e
DIST wine-6.17.tar.xz 24838704 BLAKE2B 98014c8226db703a62e7c9e73eb5d76a10eb751e81e0f20bf409099bca4ce5a996f67401e6f39b140671c82aded8c7ccd483199990e55c9590715651ea5ae0db SHA512 87550105e27afedc02084172bbb84793891db711ee443bb2626fea56e720517205a06944198c1d05958d47025ad31d9c890d539cd9e60fadfe2947d83325a658
DIST wine-6.18.tar.xz 24860880 BLAKE2B 411b74e92bf895f20e53ad7a203bd3fe84f1b414d8720b402bc17150fd663161e65be05b1fd5630dcc7a32fc6eba27dd0685f7b852dfb5852ea4f7fdb5af15a5 SHA512 d8f54f8fbb61b4af2a6f97328d33b0389ab0fb6a9dac97b2832af3d911a9f23c08653f40ec77f7c0eedd694c4a1c1228fe9dd4d859d8b3d7419e21847de7bcfe
DIST wine-6.19.tar.xz 24894356 BLAKE2B 227424c5ff4887b8adca1452ded242d20793d8b5ea8cc8fc94d73f18d294bda5674d48102d6f61e6a5b0e1f76aaa4885ec530bd96b1ea70923bae479254d59d2 SHA512 6d58bca9a4b8ed94f34a532da6403341f325a30d8e1b78997de009ecaafad655d15733823d7d1c8bd906efc568a649f8b7bee5c10f2e271e449d6e1eaa8f7ce4
DIST wine-staging-6.16.tar.gz 9655388 BLAKE2B 50feca959b0ff9056ed9e6f81f3dd11350391f30e4048ee6e4d4e5feaa837e31b580c22e63b6213fc77d866b362eb7922fd2c076bd9b6675abfe591a178a2d9c SHA512 2789200466adaae2f4fa4afcbb6aa88619748e69a2cb39c1ac957b408c8021e2cbac7ad0b1f2e295cd87640f494e173739df076743ec0606e4b13e83d0ac2824
DIST wine-6.20.tar.xz 26921644 BLAKE2B 2db2bdd0b0c65855d96bc407ea54aa289dd0324715eb7fc068dd57b6b90ee7b331997fd9f68942f02ef45ef9f6eb10e7efaad79d0f97721626fc50ef2e47cc49 SHA512 dc0c29194ffd0ddcc2e34d8f7ac236f039e21cdde8cb959ddf16b4b67eb1d6332c9d1a780d0872669a1083db55e105eebaf3d7a6cc5aa749e91efab88bd1f958
DIST wine-staging-6.17.tar.gz 9655082 BLAKE2B 9f2e0c800f221ecacba71942ef306fa5e2e8510572467ee528a58b0a63dc416281036eea419c55f46c7688418121184e620017e077ea873f3aadcda29f51f3ae SHA512 c1eaa3682effd7a555ba2deed85a196eca5a9824634f3daba9453d861b0c74c456f6cddf0c1f47e003dc31c4ff7e7b049234e20afd2ce6bc6cbe6e03e87101ec
DIST wine-staging-6.18.tar.gz 9663936 BLAKE2B cd1a0314aa3bf890d57432e0680e13927a7ef4c50f47fe9bc17980208a77137508703d9b3155cfee6a340d954e832e99d66663d26518b425c4e60d8a3fd0ad2e SHA512 f718b4a6f314e8db4f6ad4cb41449d251d973b0942072411a70749398cec9d60ebcf29078cf00a895f665ea7e7846c3fd7e5553d04b3b451ae757c95fb49af58
DIST wine-staging-6.19.tar.gz 9690585 BLAKE2B de5c172b600e8de59241e93a8938d4f6a943f97d1cccaba2aa2551886893848f43df5d2e375b588deabe722ff34d80ff62dfed376d41d309c6a36e03678b771e SHA512 f46d82dc034b0c701d00c70395edc306f6dcd3cd70091bb544c86c035e4221a370f6a1c39de4575e6cbb4eb587f5257d50ad5ada51fb6fee9f57b90dc0358034
DIST wine-staging-6.20.tar.gz 9643278 BLAKE2B b5f0a74c575541303eaf12e9706f8917b795fc0d5f065e7292329cec7da145f9c7db25bebfcf4d703bf561206f22c9a49a95e8471629009dac4679c6f028b918 SHA512 9b5650d065976ab5b0bcb2f65895bf7b6bf139d376fc5cff421d493a6f6a849cb57e33243d1fad9ca1943cfbfdee8d8a3a4d530722163b15a0830d616f06e1e3

22
app-emulation/wine-staging/wine-staging-6.16.ebuild → app-emulation/wine-staging/wine-staging-6.20.ebuild

@ -30,7 +30,7 @@ S="${WORKDIR}/${MY_P}"
STAGING_P="wine-staging-${MY_PV}"
STAGING_DIR="${WORKDIR}/${STAGING_P}"
GWP_V="20200523"
GWP_V="20210925"
PATCHDIR="${WORKDIR}/gentoo-wine-patches"
DESCRIPTION="Free implementation of Windows(tm) on Unix, with Wine-Staging patchset"
@ -133,7 +133,7 @@ RDEPEND="${COMMON_DEPEND}
!app-emulation/wine:0
dos? ( >=games-emulation/dosbox-0.74_p20160629 )
gecko? ( app-emulation/wine-gecko:2.47.2[abi_x86_32?,abi_x86_64?] )
mono? ( app-emulation/wine-mono:6.3.0 )
mono? ( app-emulation/wine-mono:6.4.0 )
perl? (
dev-lang/perl
dev-perl/XML-Simple
@ -577,24 +577,6 @@ multilib_src_install_all() {
"${D%/}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
fi
# Remove wineconsole if neither backend is installed #551124
if ! use X; then
rm "${D%/}${MY_PREFIX}"/bin/wineconsole* || die
rm "${D%/}${MY_MANDIR}"/man1/wineconsole* || die
if ! use mingw; then
rm_wineconsole() {
rm "${D%/}/usr/$(get_libdir)/wine-${WINE_VARIANT}"/wine/{,fakedlls/}wineconsole.exe* || die
}
else
rm_wineconsole() {
rm "${D%/}/usr/$(get_libdir)/wine-${WINE_VARIANT}"/wine/wineconsole.exe* || die
}
fi
multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine{,-preloader} #255055
use abi_x86_64 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine64{,-preloader}

3
app-emulation/wine-vanilla/Manifest

@ -1,8 +1,7 @@
DIST gentoo-wine-patches-20200523.tar.xz 59740 BLAKE2B 951d7f305a6e5b3759c8095629d48de4830b8a0c9558de859a9e02d9824fe85553fda2bc0820ca97022a0ca63ac28473dadfe827821220445dbf1a7fd15c7c98 SHA512 46eea45c982b475e3ff444cbd87c6a0a235fc8dcaf3d83d89655a10ed8841a9ddb09e5a638a05803f3bf2c3bd34165c16067aba561efa4c183ee396dc31cdf75
DIST gentoo-wine-patches-20210925.tar.xz 59836 BLAKE2B c6d41db309bf0470d0e8ef771d791240209f77d967031943232218e8e737987a4a74847d89d6bf8739ff0698b28b656a8b9ac830ee1da457be2aab27ededb123 SHA512 721d4d7b6a2c4336555a7faed7202a8ad6872ee37e4daea6fab2b5ff5bf5d73ce41f25d0bd4fd9b45e2c522cb19c1349144a40be32ccdd7ded7f61055d6d85c8
DIST wine-6.0.1.tar.xz 24210540 BLAKE2B 2075e59024e75594e0be0851db33981ebfcc57477bb9864055a938db0e39b8480f3c501b1d1fc39a9eee52303ad71ef71d24a0fb546697eecf3bb098f13317f1 SHA512 06b720d6adbbb7e2f15b963e4f3f1ff06e6d0d3973064d866ae720e6380bab8881fd1ebf16665435f5f7976b2c6dc72fd20631678a28e9d4d7b068c30cd22bb0
DIST wine-6.0.tar.xz 24192280 BLAKE2B baf0eee582190ede8d210390b51d330c1879cb442100bc2e957052898fbd84bcc047a885065f9bf96ac4f072f92eee44f0e1c3baddc68937286e7cc6f976bd4e SHA512 c0732fbab1da8737d595a876b28ce87eef1440c317746e798642b59b44b34e890de562e0c0cc674e97096f39db82f8e9c3b1cc1ba9edc246b7266a0f7cb00057
DIST wine-6.16.tar.xz 24789520 BLAKE2B 473ddec26139f7fedc091e2e037a88c8bde6f4061b196995aaa7e0352969fc8920edb47754c97478468a482f1d5a9be9e2cf858061d3add183fd90ee135a6ec3 SHA512 83d97eefeb35ee85d6ae180056d7b0e5864a90e1c2b63b6fd77d5cd38038b4eaa1fd067e7d5c5ee56d8cd811149db23a8581e1497bc1e36f9adad1012296b96e
DIST wine-6.17.tar.xz 24838704 BLAKE2B 98014c8226db703a62e7c9e73eb5d76a10eb751e81e0f20bf409099bca4ce5a996f67401e6f39b140671c82aded8c7ccd483199990e55c9590715651ea5ae0db SHA512 87550105e27afedc02084172bbb84793891db711ee443bb2626fea56e720517205a06944198c1d05958d47025ad31d9c890d539cd9e60fadfe2947d83325a658
DIST wine-6.18.tar.xz 24860880 BLAKE2B 411b74e92bf895f20e53ad7a203bd3fe84f1b414d8720b402bc17150fd663161e65be05b1fd5630dcc7a32fc6eba27dd0685f7b852dfb5852ea4f7fdb5af15a5 SHA512 d8f54f8fbb61b4af2a6f97328d33b0389ab0fb6a9dac97b2832af3d911a9f23c08653f40ec77f7c0eedd694c4a1c1228fe9dd4d859d8b3d7419e21847de7bcfe
DIST wine-6.19.tar.xz 24894356 BLAKE2B 227424c5ff4887b8adca1452ded242d20793d8b5ea8cc8fc94d73f18d294bda5674d48102d6f61e6a5b0e1f76aaa4885ec530bd96b1ea70923bae479254d59d2 SHA512 6d58bca9a4b8ed94f34a532da6403341f325a30d8e1b78997de009ecaafad655d15733823d7d1c8bd906efc568a649f8b7bee5c10f2e271e449d6e1eaa8f7ce4
DIST wine-6.20.tar.xz 26921644 BLAKE2B 2db2bdd0b0c65855d96bc407ea54aa289dd0324715eb7fc068dd57b6b90ee7b331997fd9f68942f02ef45ef9f6eb10e7efaad79d0f97721626fc50ef2e47cc49 SHA512 dc0c29194ffd0ddcc2e34d8f7ac236f039e21cdde8cb959ddf16b4b67eb1d6332c9d1a780d0872669a1083db55e105eebaf3d7a6cc5aa749e91efab88bd1f958

578
app-emulation/wine-vanilla/wine-vanilla-6.0.ebuild

@ -1,578 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PLOCALES="ar ast bg ca cs da de el en en_US eo es fa fi fr he hi hr hu it ja ko lt ml nb_NO nl or pa pl pt_BR pt_PT rm ro ru si sk sl sr_RS@cyrillic sr_RS@latin sv ta te th tr uk wa zh_CN zh_TW"
PLOCALE_BACKUP="en"
inherit autotools eapi7-ver estack eutils flag-o-matic gnome2-utils multilib multilib-minimal pax-utils plocale toolchain-funcs virtualx xdg-utils
MY_PN="${PN%%-*}"
MY_P="${MY_PN}-${PV}"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://source.winehq.org/git/wine.git"
EGIT_BRANCH="master"
inherit git-r3
SRC_URI=""
else
MAJOR_V=$(ver_cut 1)
SRC_URI="https://dl.winehq.org/wine/source/${MAJOR_V}.0/${MY_P}.tar.xz"
KEYWORDS="-* amd64 x86"
fi
S="${WORKDIR}/${MY_P}"
GWP_V="20200523"
PATCHDIR="${WORKDIR}/gentoo-wine-patches"
DESCRIPTION="Free implementation of Windows(tm) on Unix, without external patchsets"
HOMEPAGE="https://www.winehq.org/"
SRC_URI="${SRC_URI}
https://dev.gentoo.org/~sarnex/distfiles/wine/gentoo-wine-patches-${GWP_V}.tar.xz
"
LICENSE="LGPL-2.1"
SLOT="${PV}"
IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +faudio +fontconfig +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos kernel_FreeBSD +lcms ldap mingw +mono mp3 netapi nls odbc openal opencl +opengl osmesa oss +perl pcap +png prelink pulseaudio +realtime +run-exes samba scanner sdl selinux +ssl test +threads +truetype udev +udisks +unwind usb v4l vkd3d vulkan +X +xcomposite xinerama +xml"
REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
X? ( truetype )
elibc_glibc? ( threads )
osmesa? ( opengl )
test? ( abi_x86_32 )
vkd3d? ( vulkan )" # osmesa-opengl #286560 # X-truetype #551124
# FIXME: the test suite is unsuitable for us; many tests require net access
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
COMMON_DEPEND="
X? (
x11-libs/libXcursor[${MULTILIB_USEDEP}]
x11-libs/libXext[${MULTILIB_USEDEP}]
x11-libs/libXfixes[${MULTILIB_USEDEP}]
x11-libs/libXrandr[${MULTILIB_USEDEP}]
x11-libs/libXi[${MULTILIB_USEDEP}]
x11-libs/libXxf86vm[${MULTILIB_USEDEP}]
)
alsa? ( media-libs/alsa-lib[${MULTILIB_USEDEP}] )
capi? ( net-libs/libcapi[${MULTILIB_USEDEP}] )
cups? ( net-print/cups:=[${MULTILIB_USEDEP}] )
faudio? ( app-emulation/faudio:=[${MULTILIB_USEDEP}] )
fontconfig? ( media-libs/fontconfig:=[${MULTILIB_USEDEP}] )
gphoto2? ( media-libs/libgphoto2:=[${MULTILIB_USEDEP}] )
gsm? ( media-sound/gsm:=[${MULTILIB_USEDEP}] )
gssapi? ( virtual/krb5[${MULTILIB_USEDEP}] )
gstreamer? (
media-libs/gstreamer:1.0[${MULTILIB_USEDEP}]
media-plugins/gst-plugins-meta:1.0[${MULTILIB_USEDEP}]
)
jpeg? ( virtual/jpeg:0=[${MULTILIB_USEDEP}] )
kerberos? ( virtual/krb5[${MULTILIB_USEDEP}] )
lcms? ( media-libs/lcms:2=[${MULTILIB_USEDEP}] )
ldap? ( net-nds/openldap:=[${MULTILIB_USEDEP}] )
mp3? ( >=media-sound/mpg123-1.5.0[${MULTILIB_USEDEP}] )
netapi? ( net-fs/samba[netapi(+),${MULTILIB_USEDEP}] )
nls? ( sys-devel/gettext[${MULTILIB_USEDEP}] )
odbc? ( dev-db/unixODBC:=[${MULTILIB_USEDEP}] )
openal? ( media-libs/openal:=[${MULTILIB_USEDEP}] )
opencl? ( virtual/opencl[${MULTILIB_USEDEP}] )
opengl? (
virtual/glu[${MULTILIB_USEDEP}]
virtual/opengl[${MULTILIB_USEDEP}]
)
osmesa? ( >=media-libs/mesa-13[osmesa,${MULTILIB_USEDEP}] )
pcap? ( net-libs/libpcap[${MULTILIB_USEDEP}] )
png? ( media-libs/libpng:0=[${MULTILIB_USEDEP}] )
pulseaudio? ( media-sound/pulseaudio[${MULTILIB_USEDEP}] )
scanner? ( media-gfx/sane-backends:=[${MULTILIB_USEDEP}] )
sdl? ( media-libs/libsdl2:=[haptic,joystick,${MULTILIB_USEDEP}] )
ssl? ( net-libs/gnutls:=[${MULTILIB_USEDEP}] )
truetype? ( >=media-libs/freetype-2.0.0[${MULTILIB_USEDEP}] )
udev? ( virtual/libudev:=[${MULTILIB_USEDEP}] )
udisks? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
unwind? ( sys-libs/libunwind[${MULTILIB_USEDEP}] )
usb? ( virtual/libusb:1[${MULTILIB_USEDEP}] )
v4l? ( media-libs/libv4l[${MULTILIB_USEDEP}] )
vkd3d? ( >=app-emulation/vkd3d-1.2[${MULTILIB_USEDEP}] )
vulkan? ( media-libs/vulkan-loader[${MULTILIB_USEDEP}] )
xcomposite? ( x11-libs/libXcomposite[${MULTILIB_USEDEP}] )
xinerama? ( x11-libs/libXinerama[${MULTILIB_USEDEP}] )
xml? (
dev-libs/libxml2[${MULTILIB_USEDEP}]
dev-libs/libxslt[${MULTILIB_USEDEP}]
)"
RDEPEND="${COMMON_DEPEND}
app-emulation/wine-desktop-common
>app-eselect/eselect-wine-0.3
!app-emulation/wine:0
dos? ( >=games-emulation/dosbox-0.74_p20160629 )
gecko? ( app-emulation/wine-gecko:2.47.2[abi_x86_32?,abi_x86_64?] )
mono? ( app-emulation/wine-mono:5.1.1 )
perl? (
dev-lang/perl
dev-perl/XML-Simple
)
pulseaudio? (
realtime? ( sys-auth/rtkit )
)
samba? ( >=net-fs/samba-3.0.25[winbind] )
selinux? ( sec-policy/selinux-wine )
udisks? ( sys-fs/udisks:2 )"
# tools/make_requests requires perl
DEPEND="${COMMON_DEPEND}
sys-devel/flex
>=sys-kernel/linux-headers-2.6
virtual/pkgconfig
virtual/yacc
X? ( x11-base/xorg-proto )
prelink? ( sys-devel/prelink )
xinerama? ( x11-base/xorg-proto )"
# These use a non-standard "Wine" category, which is provided by
# /etc/xdg/applications-merged/wine.menu
QA_DESKTOP_FILE="usr/share/applications/wine-browsedrive.desktop
usr/share/applications/wine-notepad.desktop
usr/share/applications/wine-uninstaller.desktop
usr/share/applications/wine-winecfg.desktop"
PATCHES=(
"${PATCHDIR}/patches/${MY_PN}-5.0-winegcc.patch" #260726
"${PATCHDIR}/patches/${MY_PN}-4.7-multilib-portage.patch" #395615
"${PATCHDIR}/patches/${MY_PN}-2.0-multislot-apploader.patch" #310611
"${PATCHDIR}/patches/${MY_PN}-5.9-Revert-makedep-Install-also-generated-typelib-for-in.patch"
)
PATCHES_BIN=()
# https://bugs.gentoo.org/show_bug.cgi?id=635222
if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${PV} == 9999 ]]; then
DEPEND+=" dev-util/patchbin"
fi
wine_compiler_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0
# GCC-specific bugs
if tc-is-gcc; then
# bug #549768
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
ebegin "Checking for gcc-5 ms_abi compiler bug"
$(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
# Run in subshell to prevent "Aborted" message
( "${T}"/pr66838 || false ) >/dev/null 2>&1
if ! eend $?; then
eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/549768"
eerror
return 1
fi
fi
# bug #574044
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
ebegin "Checking for gcc-5-3 stack realignment compiler bug"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
if ! eend $?; then
eerror "Wine cannot be built with this version of gcc-5.3"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/574044"
eerror
return 1
fi
fi
fi
# Ensure compiler support
if use abi_x86_64; then
ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
if ! eend $?; then
eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
eerror
eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
eerror
return 1
fi
fi
}
wine_build_environment_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0
if use abi_x86_64; then
if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
eerror "You need gcc-4.4+ to compile 64-bit wine"
die
elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
eerror "You need clang-3.8+ to compile 64-bit wine"
die
fi
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
ewarn "See package.env in man 5 portage for more information on how to do this."
ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
fi
fi
if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
eerror "See https://bugs.gentoo.org/487864 for more details."
eerror
return 1
fi
}
wine_env_vcs_vars() {
local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
local pn_live_val="${pn_live_var}"
eval pn_live_val='$'${pn_live_val}
if [[ ! -z ${EGIT_COMMIT} ]]; then
eerror "Commits must now be specified using the environmental variables"
eerror "EGIT_OVERRIDE_COMMIT_WINE"
eerror
return 1
fi
}
pkg_pretend() {
wine_build_environment_check || die
# Verify OSS support
if use oss && ! use kernel_FreeBSD; then
if ! has_version ">=media-sound/oss-4"; then
eerror "You cannot build wine with USE=oss without having support from a"
eerror "FreeBSD kernel or >=media-sound/oss-4 (only available through external repos)"
eerror
die
fi
fi
if use mingw && use abi_x86_32 && ! has_version "cross-i686-w64-mingw32/gcc"; then
eerror
eerror "USE=\"mingw\" is currently experimental, and requires the"
eerror "'cross-i686-w64-mingw32' compiler and its runtime for 32-bit builds."
eerror
eerror "These can be installed by using 'sys-devel/crossdev':"
eerror
eerror "crossdev --target i686-w64-mingw32"
eerror
eerror "For more information on setting up MinGW, see: https://wiki.gentoo.org/wiki/Mingw"
eerror
die "MinGW build was enabled, but no compiler to support it was found."
fi
if use mingw && use abi_x86_64 && ! has_version "cross-x86_64-w64-mingw32/gcc"; then
eerror
eerror "USE=\"mingw\" is currently experimental, and requires the"
eerror "'cross-x86_64-w64-mingw32' compiler and its runtime for 64-bit builds."
eerror
eerror "These can be installed by using 'sys-devel/crossdev':"
eerror
eerror "crossdev --target x86_64-w64-mingw32"
eerror
eerror "For more information on setting up MinGW, see: https://wiki.gentoo.org/wiki/Mingw"
eerror
die "MinGW build was enabled, but no compiler to support it was found."
fi
}
pkg_setup() {
wine_build_environment_check || die
wine_env_vcs_vars || die
WINE_VARIANT="${PN#wine}-${PV}"
WINE_VARIANT="${WINE_VARIANT#-}"
MY_PREFIX="${EPREFIX}/usr/lib/wine-${WINE_VARIANT}"
MY_DATAROOTDIR="${EPREFIX}/usr/share/wine-${WINE_VARIANT}"
MY_DATADIR="${MY_DATAROOTDIR}"
MY_DOCDIR="${EPREFIX}/usr/share/doc/${PF}"
MY_INCLUDEDIR="${EPREFIX}/usr/include/wine-${WINE_VARIANT}"
MY_LIBEXECDIR="${EPREFIX}/usr/libexec/wine-${WINE_VARIANT}"
MY_LOCALSTATEDIR="${EPREFIX}/var/wine-${WINE_VARIANT}"
MY_MANDIR="${MY_DATADIR}/man"
}
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
EGIT_CHECKOUT_DIR="${S}" git-r3_src_unpack
fi
default
plocale_find_changes "${S}/po" "" ".po"
}
src_prepare() {
eapply_bin() {
local patch
for patch in ${PATCHES_BIN[@]}; do
patchbin --nogit < "${patch}" || die
done
}
local md5="$(md5sum server/protocol.def)"
default
eapply_bin
eautoreconf
# Modification of the server protocol requires regenerating the server requests
if [[ "$(md5sum server/protocol.def)" != "${md5}" ]]; then
einfo "server/protocol.def was patched; running tools/make_requests"
tools/make_requests || die #432348
fi
sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in || die
if ! use run-exes; then
sed -i '/^MimeType/d' loader/wine.desktop || die #117785
fi
# Edit wine.desktop to work for specific variant
sed -e "/^Exec=/s/wine /wine-${WINE_VARIANT} /" -i loader/wine.desktop || die
# hi-res default icon, #472990, https://bugs.winehq.org/show_bug.cgi?id=24652
cp "${PATCHDIR}/files/oic_winlogo.ico" dlls/user32/resources/ || die
plocale_get_locales > po/LINGUAS || die # otherwise wine doesn't respect LINGUAS
# Fix manpage generation for locales #469418 and abi_x86_64 #617864
# Duplicate manpages input files for wine64
local f
for f in loader/*.man.in; do
cp ${f} ${f/wine/wine64} || die
done
# Add wine64 manpages to Makefile
if use abi_x86_64; then
sed -i "/wine.man.in/i \
\\\twine64.man.in \\\\" loader/Makefile.in || die
sed -i -E 's/(.*wine)(.*\.UTF-8\.man\.in.*)/&\
\164\2/' loader/Makefile.in || die
fi
rm_man_file() {
local file="${1}"
loc=${2}
sed -i "/${loc}\.UTF-8\.man\.in/d" "${file}" || die
}
while read f; do
plocale_for_each_disabled_locale rm_man_file "${f}"
done < <(find -name "Makefile.in" -exec grep -q "UTF-8.man.in" "{}" \; -print)
}
src_configure() {
wine_compiler_check || die
export LDCONFIG=/bin/true
use custom-cflags || strip-flags
if use mingw; then
export CROSSCFLAGS="${CFLAGS}"
fi
multilib-minimal_src_configure
}
multilib_src_configure() {
local myconf=(
--prefix="${MY_PREFIX}"
--datarootdir="${MY_DATAROOTDIR}"
--datadir="${MY_DATADIR}"
--docdir="${MY_DOCDIR}"
--includedir="${MY_INCLUDEDIR}"
--libdir="${EPREFIX}/usr/$(get_libdir)/wine-${WINE_VARIANT}"
--libexecdir="${MY_LIBEXECDIR}"
--localstatedir="${MY_LOCALSTATEDIR}"
--mandir="${MY_MANDIR}"
--sysconfdir="${EPREFIX}/etc/wine"
$(use_with alsa)
$(use_with capi)
$(use_with lcms cms)
$(use_with cups)
$(use_with udisks dbus)
$(use_with faudio)
$(use_with fontconfig)
$(use_with ssl gnutls)
$(use_enable gecko mshtml)
$(use_with gphoto2 gphoto)
$(use_with gsm)
$(use_with gssapi)
$(use_with gstreamer)
--without-hal
$(use_with jpeg)
$(use_with kerberos krb5)
$(use_with ldap)
# TODO: Will bug 685172 still need special handling?
$(use_with mingw)
$(use_enable mono mscoree)
$(use_with mp3 mpg123)
$(use_with netapi)
$(use_with nls gettext)
$(use_with openal)
$(use_with opencl)
$(use_with opengl)
$(use_with osmesa)
$(use_with oss)
$(use_with pcap)
$(use_with png)
$(use_with pulseaudio pulse)
$(use_with threads pthread)
$(use_with scanner sane)
$(use_with sdl)
$(use_enable test tests)
$(use_with truetype freetype)
$(use_with udev)
$(use_with unwind)
$(use_with usb)
$(use_with v4l v4l2)
$(use_with vkd3d)
$(use_with vulkan)
$(use_with X x)
$(use_with X xfixes)
$(use_with xcomposite)
$(use_with xinerama)
$(use_with xml)
$(use_with xml xslt)
)
local PKG_CONFIG
# Avoid crossdev's i686-pc-linux-gnu-pkg-config if building wine32 on amd64; #472038
tc-export PKG_CONFIG
if use amd64; then
if [[ ${ABI} == amd64 ]]; then
myconf+=( --enable-win64 )
else
myconf+=( --disable-win64 )
fi
# Note: using --with-wine64 results in problems with multilib.eclass
# CC/LD hackery. We're using separate tools instead.
fi
ECONF_SOURCE=${S} \
econf "${myconf[@]}"
emake depend
}
multilib_src_test() {
# FIXME: win32-only; wine64 tests fail with "could not find the Wine loader"
if [[ ${ABI} == x86 ]]; then
if [[ $(id -u) == 0 ]]; then
ewarn "Skipping tests since they cannot be run under the root user."
ewarn "To run the test ${MY_PN} suite, add userpriv to FEATURES in make.conf"
return
fi
WINEPREFIX="${T}/.wine-${ABI}" \
virtx emake test
fi
}
multilib_src_install_all() {
local DOCS=( ANNOUNCE AUTHORS README )
add_locale_docs() {
local locale_doc="documentation/README.$1"
[[ ! -e ${locale_doc} ]] || DOCS+=( ${locale_doc} )
}
plocale_for_each_locale add_locale_docs
einstalldocs
find "${ED}" -name '*.la' -delete || die
if ! use perl ; then # winedump calls function_grep.pl, and winemaker is a perl script
rm "${D%/}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} \
"${D%/}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
fi
# Remove wineconsole if neither backend is installed #551124
if ! use X; then
rm "${D%/}${MY_PREFIX}"/bin/wineconsole* || die
rm "${D%/}${MY_MANDIR}"/man1/wineconsole* || die
if ! use mingw; then
rm_wineconsole() {
rm "${D%/}/usr/$(get_libdir)/wine-${WINE_VARIANT}"/wine/{,fakedlls/}wineconsole.exe* || die
}
else
rm_wineconsole() {
rm "${D%/}/usr/$(get_libdir)/wine-${WINE_VARIANT}"/wine/wineconsole.exe* || die
}
fi
multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine{,-preloader} #255055
use abi_x86_64 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine64{,-preloader}
# Avoid double prefix from dosym and make_wrapper
MY_PREFIX=${MY_PREFIX#${EPREFIX}}
if use abi_x86_64 && ! use abi_x86_32; then
dosym wine64 "${MY_PREFIX}"/bin/wine # 404331
dosym wine64-preloader "${MY_PREFIX}"/bin/wine-preloader
fi
# Failglob for binloops, shouldn't be necessary, but including to stay safe
eshopts_push -s failglob #615218
# Make wrappers for binaries for handling multiple variants
# Note: wrappers instead of symlinks because some are shell which use basename
local b
for b in "${ED%/}${MY_PREFIX}"/bin/*; do
make_wrapper "${b##*/}-${WINE_VARIANT}" "${MY_PREFIX}/bin/${b##*/}"
done
eshopts_pop
}
pkg_postinst() {
eselect wine register ${P}
if [[ ${PN} == "wine-vanilla" ]]; then
eselect wine register --vanilla ${P} || die
fi
eselect wine update --all --if-unset || die
xdg_desktop_database_update
if ! use gecko; then
ewarn "Without Wine Gecko, wine prefixes will not have a default"
ewarn "implementation of iexplore. Many older windows applications"
ewarn "rely upon the existence of an iexplore implementation, so"
ewarn "you will likely need to install an external one, like via winetricks"
fi
if ! use mono; then
ewarn "Without Wine Mono, wine prefixes will not have a default"
ewarn "implementation of .NET. Many windows applications rely upon"
ewarn "the existence of a .NET implementation, so you will likely need"
ewarn "to install an external one, like via winetricks"
fi
}
pkg_prerm() {
eselect wine deregister ${P}
if [[ ${PN} == "wine-vanilla" ]]; then
eselect wine deregister --vanilla ${P} || die
fi
eselect wine update --all --if-unset || die
}
pkg_postrm() {
xdg_desktop_database_update
}

22
app-emulation/wine-vanilla/wine-vanilla-6.16.ebuild → app-emulation/wine-vanilla/wine-vanilla-6.20.ebuild

@ -24,7 +24,7 @@ else
fi
S="${WORKDIR}/${MY_P}"
GWP_V="20200523"
GWP_V="20210925"
PATCHDIR="${WORKDIR}/gentoo-wine-patches"
DESCRIPTION="Free implementation of Windows(tm) on Unix, without external patchsets"
@ -109,7 +109,7 @@ RDEPEND="${COMMON_DEPEND}
!app-emulation/wine:0
dos? ( >=games-emulation/dosbox-0.74_p20160629 )
gecko? ( app-emulation/wine-gecko:2.47.2[abi_x86_32?,abi_x86_64?] )
mono? ( app-emulation/wine-mono:6.3.0 )
mono? ( app-emulation/wine-mono:6.4.0 )
perl? (
dev-lang/perl
dev-perl/XML-Simple
@ -498,24 +498,6 @@ multilib_src_install_all() {
"${D%/}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
fi
# Remove wineconsole if neither backend is installed #551124
if ! use X; then
rm "${D%/}${MY_PREFIX}"/bin/wineconsole* || die
rm "${D%/}${MY_MANDIR}"/man1/wineconsole* || die
if ! use mingw; then
rm_wineconsole() {
rm "${D%/}/usr/$(get_libdir)/wine-${WINE_VARIANT}"/wine/{,fakedlls/}wineconsole.exe* || die
}
else
rm_wineconsole() {
rm "${D%/}/usr/$(get_libdir)/wine-${WINE_VARIANT}"/wine/wineconsole.exe* || die
}
fi
multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine{,-preloader} #255055
use abi_x86_64 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine64{,-preloader}

BIN
app-i18n/Manifest.gz

1
app-i18n/uim/uim-1.8.9_pre20210103.ebuild

@ -77,6 +77,7 @@ RDEPEND="${CDEPEND}
l10n_zh-TW? ( media-fonts/intlfonts )
)"
BDEPEND="dev-util/intltool
gnome-base/librsvg
sys-devel/gettext
virtual/pkgconfig
kde? ( dev-util/cmake )"

BIN
app-misc/Manifest.gz

2
app-misc/broot/Manifest

@ -18,6 +18,7 @@ DIST bitflags-1.2.1.crate 16745 BLAKE2B 0fa6d3ce44aad7616d5cd02aad8c1d0b0fed4022
DIST broot-1.6.3.tar.gz 8712118 BLAKE2B 01d8332864c1a8ef92190d99ce701d4ceba5be0fceeb3cc5eb1fae65857b825c9ee68da137b28fa3320d8eb94d8d90d10ccd29717e1716cd02de72a620d484fc SHA512 6daf9b10eaa82a960da03b5295cd5147447bb462e67be22bd3ab134b30b26fa3e17ced2c1a1ca46a1a059cc32a1376ab82d0e60ce6c143aa2bd1d265c93937ce
DIST broot-1.6.4.tar.gz 8711244 BLAKE2B df6dbd53dec512402608eb87359b233dc68f1c97a71d7bdd51b2c45cf317a0f6c3cccc223e8464fd08da110769b1abc42f555c42d8cddedc4991748c0d10f9fa SHA512 979889c3a226a145f55bdd036111c67cb25249e2e05c34487e37da36867c6a9671347809bcb2b36250b2c991d36e9d21f6fc86682a4d8923de579f73512fc8ca
DIST broot-1.6.5.tar.gz 8714512 BLAKE2B e72ff6fe43343c582af93b4f06052d8a3bc510d79f02af53e5f0a89995ead71a9b3de0905d9042ee54e6548034a4929b4861cdccb6fdfa423fbd399855dad27a SHA512 8bc9cd9e7a3dc989c629fdf7d0b5a627bd0a5a24705abe67ca3d8453c1e465bae6e0545bca736f5459904b99ee1348b1148e5afebc12b9a8b1f20d80b9329d49
DIST broot-1.6.6.tar.gz 8714930 BLAKE2B 8e0a649dc7d022c4be12eb7c7ba5925de46a59c739f1b7a0c3b238bde8edcc3ea226ddeea5b553376b198c66fd6d745b516afcb2ae49c0df1c3f8c732cd492aa SHA512 c1e3b375904c5589fda5950617142675a9f7c16656c954cda141b3bf32acd3bb1db0fec095bfe77f648be48865b3c7251e3b6ca94da7f5ff0f72915a3a1eb90a
DIST bstr-0.2.16.crate 330346 BLAKE2B 75a345f3a5d428ec7278cd10fa676f5bb72685c65c4fe68163943cf3142b43ac45d458bce9323447b201ffcc91aa82cd8c762cb1954c055e34b1a5cebc686ee8 SHA512 33e82e5637efdc2f404ab9405331ae135df12586785491c3e61e70ea8406c67e2109e550cc70a4ab8e95d054e8519c48257fd3b55ef0b67b2530914a9a0b0fac
DIST bytemuck-1.7.2.crate 27489 BLAKE2B 2541a7561eb34351f58266451a020858d8ac1ad30ecb95b97d576e72532cae37ef0b747e2259aaf6052b65f951586425044f824a00dfabf54bba9462edf94c2a SHA512 fae361f5abe67215a7591d421a0b713b77b437123c56e21dd00421e95ab86d9dd9b0bf1daa6623b833ea65681fbeeb58f6feab9d323964304a3250f24df1ace2
DIST byteorder-1.4.3.crate 22512 BLAKE2B d39c546ba7346df315297fc53da4bfc77ecb1f38567ddb788549ee31cae2719a8bc0b7d1f1705abb3cff033aa57af004987d90748f5a31765273b3223a011c0d SHA512 8c8000eb8ecf40351c9ce36a3a8acd7a02f81786d1b11aab85adfeffa0f2267ed74df29b2ca5d1d38128484d1d3cad2b673aa0d0441dcd0620dfd3934bb888fa
@ -183,6 +184,7 @@ DIST termimad-0.10.3.crate 316247 BLAKE2B acda7abe193eeb015c9e144e765b3fe075fda1
DIST termimad-0.14.0.crate 334991 BLAKE2B 0bd2d35b68f841e0c764a0b489b29767a141b54576259beecc39adcb1105f952a248cb3030b6e79a819148edb61f028b5ecb64b221cb21236bd031194404e983 SHA512 c96c2c43b091f174bbe1105c91d426786964dafd6477004828e798c3e911f391e12c33afdc4c9872523206481100c4656e722acdbd4a64db92ac88ec1b5040fb
DIST termimad-0.16.1.crate 344819 BLAKE2B 8cc26f5c5ce84ab12c05aa9eed0e0fa06cbd764a4665f91c9818e2c0c27b13976a36402caa0b7be5da54fcb750f92c330cb04c158540f2ceecf4b79124d9acd2 SHA512 a496ca4c40a4d54fad929de1b7062ed9269e34b46ed4a6fbd94d6f212be69c28f135185579bb655c5d2e34eb6192a17271d1544b5cfeba9e33a68f87c4254616
DIST termimad-0.16.3.crate 345417 BLAKE2B 305bbbb2305c18475c3429639232b913dcf0941ab53f747ae0438c47493e69cc30c6d6378472487cc7fd2b6db3cf3fd629b0802911b828a1a95b14ad69dae2b1 SHA512 15c0c44d79762936edb12201a90323e2fc70d0f7f7eb6dc626b0971bb7419d3a11dc31678d54b168ac73739de9f505c331cd5b626ab10eb5dfbb13edd58ad584
DIST termimad-0.16.4.crate 345687 BLAKE2B 1551814ed21af200e3102e16dfd233060f2deba8bc7fe120bacfb9d520e4d5c3fc26031a3f346e2fc3ae70900ab91c303ecf09b1c80ab0c2cfc696b3039ae56d SHA512 c1e825ffa5f6180b5acf18aef3863698dfdbdcdb2b800ed77a9bc62cc5ec0eb42d8ace7e36c11ffe7a07f75e3b24137baf583cc8388ee5934bc79ebe0763bd8d
DIST terminal-clipboard-0.2.1.crate 4056 BLAKE2B 638662ebf46e0cb67df5a33905b5384b9270276c243b6f53a66415509eabb4da48c2d8257b5f67518712911395698cd02a745b6daf42d1cab30a1253a7dd98bf SHA512 10b6d024b24fb236954a981c17dec25b4d4b8f06c4cef3edb9137cf291099453926b5793c6f19bd3b69a9db88e38ed4ea72bbf8aa6f57434a30974b9fb9ab763
DIST termux-clipboard-0.1.0.crate 2033 BLAKE2B 33003b25e6236370b2423472e87deaac8ee282c375e02faa3575aaec7ef547674f0218a50f0a2d42ff75dcf088ef31d94f44c4b05c0f526dddbaef2e06a8c722 SHA512 acd972d9c9eaa20dfadf1ec01274ed27fb33d16d97b504d8f41fea9c6598557a32d939d0a8a8585d919ee9d1b411d714851d662b5bc7d1a5f3b97d8cd423a434
DIST textwrap-0.11.0.crate 17322 BLAKE2B 257428908342774593bbd3528fcdae710712ff54e8a711393a24356d8ba0e16e466a4b20c05f942c48ca76b3b5b5aaa90ec202f782cad892caa8b71ccf124da6 SHA512 f5c0fe4f28ff1a3a0931e8e235b5157a45f67967985bcc752418c5ec3481fca44a8ae4800088889b37e8cd0533f53d3c456d5ffd19b767b3f83a87b49a2e209a

266
app-misc/broot/broot-1.6.6.ebuild

@ -0,0 +1,266 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
CRATES="
adler-1.0.2
adler32-1.2.0
ahash-0.4.7
ahash-0.7.4
aho-corasick-0.7.18
ansi_colours-1.0.4
ansi_term-0.11.0
anyhow-1.0.42
argh-0.1.5
argh_derive-0.1.5
argh_shared-0.1.5
atty-0.2.14
autocfg-1.0.1
base64-0.13.0
bet-1.0.0
bincode-1.3.3
bitflags-1.2.1
bstr-0.2.16
bytemuck-1.7.2
byteorder-1.4.3
cc-1.0.69
cfg-if-1.0.0
char_reader-0.1.0
chrono-0.4.19
clap-2.33.3
cli-log-0.1.0
cli-log-2.0.0
clipboard-win-4.2.1
color_quant-1.1.0
crc32fast-1.2.1
crossbeam-0.8.1
crossbeam-channel-0.5.1
crossbeam-deque-0.8.1
crossbeam-epoch-0.9.5
crossbeam-queue-0.3.2
crossbeam-utils-0.8.5
crossterm-0.19.0
crossterm-0.21.0
crossterm_winapi-0.7.0
crossterm_winapi-0.8.0
csv-1.1.6
csv-core-0.1.10
csv2svg-0.1.5
custom_error-1.9.2
deflate-0.8.6
deser-hjson-1.0.2
directories-3.0.2
directories-next-2.0.0
dirs-sys-0.3.6
dirs-sys-next-0.1.2
either-1.6.1
error-code-2.3.0
fallible-iterator-0.2.0
fallible-streaming-iterator-0.1.9
file-size-1.0.3
flate2-1.0.20
fnv-1.0.7
form_urlencoded-1.0.1
getrandom-0.2.3
gif-0.11.2
git2-0.13.20
glassbench-0.3.0
glob-0.3.0
hashbrown-0.9.1
hashbrown-0.11.2
hashlink-0.6.0
heck-0.3.3
hermit-abi-0.1.19
id-arena-2.2.1
idna-0.2.3
image-0.23.14
indexmap-1.7.0
instant-0.1.10
is_executable-1.0.1
itoa-0.4.7
jobserver-0.1.22
jpeg-decoder-0.1.22
lazy-regex-2.2.2
lazy-regex-proc_macros-2.2.2
lazy_static-1.4.0
lazycell-1.3.0
lfs-core-0.4.2
libc-0.2.98
libgit2-sys-0.12.21+1.1.0
libsqlite3-sys-0.20.1
libz-sys-1.1.3
line-wrap-0.1.1
linked-hash-map-0.5.4
lock_api-0.4.4
log-0.4.14
matches-0.1.8
memchr-2.4.0
memmap-0.7.0
memoffset-0.6.4
minimad-0.7.1
minimad-0.9.0
miniz_oxide-0.3.7
miniz_oxide-0.4.4
mio-0.7.13
miow-0.3.7
ntapi-0.3.6
num-integer-0.1.44
num-iter-0.1.42
num-rational-0.3.2
num-traits-0.2.14
num_cpus-1.13.0
once_cell-1.8.0
onig-6.2.0
onig_sys-69.7.0
open-1.7.1
open-2.0.0
parking_lot-0.11.1
parking_lot_core-0.8.3
pathdiff-0.2.0
percent-encoding-2.1.0
phf-0.9.0
phf_generator-0.9.0
phf_macros-0.9.0
phf_shared-0.9.0
pkg-config-0.3.19
plist-1.2.0
png-0.16.8
ppv-lite86-0.2.10
proc-macro-hack-0.5.19
proc-macro2-1.0.28
proc-status-0.1.1
quote-1.0.9
rand-0.8.4
rand_chacha-0.3.1
rand_core-0.6.3
rand_hc-0.3.1
rayon-1.5.1
rayon-core-1.9.1
redox_syscall-0.2.9
redox_users-0.4.0
regex-1.5.4
regex-automata-0.1.10
regex-syntax-0.6.25
remove_dir_all-0.5.3
rusqlite-0.24.2
ryu-1.0.5
safemem-0.3.3
same-file-1.0.6
scoped_threadpool-0.1.9
scopeguard-1.1.0
secular-1.0.1
serde-1.0.127
serde_derive-1.0.127
serde_json-1.0.66
signal-hook-0.1.17
signal-hook-0.3.9
signal-hook-mio-0.2.1
signal-hook-registry-1.4.0
siphasher-0.3.6
smallvec-1.6.1
splitty-0.1.0
str-buf-1.0.5
strict-0.1.4
strsim-0.8.0
svg-0.8.2
syn-1.0.74
syntect-4.6.0
tempfile-3.2.0
termimad-0.10.3
termimad-0.16.4
terminal-clipboard-0.2.1
termux-clipboard-0.1.0
textwrap-0.11.0
thiserror-1.0.26
thiserror-impl-1.0.26
tiff-0.6.1
time-0.1.43
tinyvec-1.3.1
tinyvec_macros-0.1.0
toml-0.5.8
umask-1.0.0
unicode-bidi-0.3.5
unicode-normalization-0.1.19
unicode-segmentation-1.8.0
unicode-width-0.1.8
unicode-xid-0.2.2
url-2.2.2
users-0.11.0
vcpkg-0.2.15
vec_map-0.8.2
version_check-0.9.3
walkdir-2.3.2
wasi-0.10.2+wasi-snapshot-preview1
weezl-0.1.5
winapi-0.3.9
winapi-i686-pc-windows-gnu-0.4.0
winapi-util-0.1.5
winapi-x86_64-pc-windows-gnu-0.4.0
x11-clipboard-0.5.2
xcb-0.9.0
xml-rs-0.8.4
yaml-rust-0.4.5
"
PYTHON_COMPAT=( python3_{8..10} )
inherit bash-completion-r1 cargo python-any-r1
DESCRIPTION="A new way to see and navigate directory trees"
HOMEPAGE="https://dystroy.org/broot/ https://github.com/Canop/broot"
SRC_URI="https://github.com/Canop/broot/archive/v${PV}.tar.gz -> ${P}.tar.gz
$(cargo_crate_uris)"
LICENSE="Apache-2.0 BSD-2 BSD LGPL-3+ MIT ZLIB"
SLOT="0"
KEYWORDS="~amd64"
IUSE="X"
RDEPEND="
dev-libs/libgit2:=
X? ( x11-libs/libxcb:= )
"
DEPEND="${RDEPEND}"
BDEPEND="X? ( ${PYTHON_DEPS} )"
QA_FLAGS_IGNORED="usr/bin/broot"
pkg_setup() {
use X && python-any-r1_pkg_setup # Used by XCB crate
}
src_configure() {
local myfeatures=( $(usev X clipboard) )
cargo_src_configure --no-default-features
}
src_prepare() {
default
local mandate=$(date -r man/page +'%Y/%m/%d' || die)
sed -e "s|#version|${PV}|" \
-e "s|#date|${mandate}|" \
man/page > "${T}"/${PN}.1 || die
}
src_install() {
cargo_src_install
doman "${T}"/${PN}.1
local build_dir=( target/$(usex debug{,} release)/build/${PN}-*/out )
cd ${build_dir[0]} || die
newbashcomp ${PN}.bash ${PN}
newbashcomp br.bash br
insinto /usr/share/zsh/site-functions
doins _${PN}
doins _br
insinto /usr/share/fish/vendor_completions.d
doins ${PN}.fish
doins br.fish
}

2
app-misc/jdupes/metadata.xml

@ -9,7 +9,7 @@
<email>jsmolic@gentoo.org</email>
<name>Jakov Smolić</name>
</maintainer>
<maintainer type="person" proxied="proxy">
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>

14
app-misc/wcd/files/wcd-6.0.3-doc-path.patch

@ -0,0 +1,14 @@
Install docs into /usr/share/doc/wcd-${PVR}.
diff -Nuar a/src/Makefile b/src/Makefile
--- a/src/Makefile 2019-08-14 10:07:15.000000000 +0000
+++ b/src/Makefile 2021-10-23 17:10:17.000000000 +0000
@@ -61,7 +61,7 @@
datarootdir = $(prefix)/share
datadir = $(datarootdir)
-docsubdir = $(PACKAGE)-$(VERSION)
+docsubdir = $(PACKAGE)-$(PVR)
docdir = $(datarootdir)/doc/$(docsubdir)
localedir = $(datarootdir)/locale
sysconfdir = /etc

47
app-misc/wcd/wcd-6.0.3-r2.ebuild

@ -0,0 +1,47 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs
DESCRIPTION="Wherever Change Directory"
HOMEPAGE="http://waterlan.home.xs4all.nl/#WCD_ANCHOR"
SRC_URI="http://waterlan.home.xs4all.nl/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
IUSE="nls unicode"
CDEPEND="
sys-libs/ncurses:=[unicode(+)?]
unicode? ( dev-libs/libunistring:= )"
DEPEND="${CDEPEND}"
BDEPEND="
app-text/ghostscript-gpl
virtual/pkgconfig
"
RDEPEND="${CDEPEND}"
S="${WORKDIR}/${P}/src"
src_prepare() {
eapply -p2 "${FILESDIR}"/${PN}-6.0.2-gentoo.patch
eapply -p2 "${FILESDIR}"/${P}-doc-path.patch
eapply_user
tc-export CC PKG_CONFIG
}
src_compile() {
local mycompile="LFS=1"
use nls || mycompile+=" ENABLE_NLS="
use unicode && mycompile+=" UCS=1 UNINORM=1"
emake ${mycompile}
}
src_install() {
local DOCS=( ../README.txt )
default
emake DESTDIR="${D}" DOTWCD=1 install-profile sysconfdir="/etc"
}

BIN
app-portage/Manifest.gz

4
app-portage/emerge-delta-webrsync/emerge-delta-webrsync-3.7.6.ebuild

@ -1,7 +1,7 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=7
DESCRIPTION="emerge-webrsync using patches to minimize bandwidth"
HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Portage"
SRC_URI="https://gitweb.gentoo.org/proj/portage.git/plain/misc/emerge-delta-webrsync?id=829623eadbeda97d37c0ea50dc5f08f19bf4561b -> ${P}"

BIN
dev-cpp/Manifest.gz

1
dev-cpp/libjson-rpc-cpp/Manifest

@ -1 +1,2 @@
DIST libjson-rpc-cpp-1.3.0.tar.gz 182354 BLAKE2B 512392c37e61833a98c1f682bdbb3ed0e3c72ff56f17407d49e5a0f134795daf5ff4c2702dd5222bfc8962b2c9a56c0c7856cc8fe1b923ea68c369a24d334b5c SHA512 4eb53c7b77845a0e845e42413c491dcfa1d6f72411276e8614dae6612edde8905013588465437ea39c5cc5700c2d48df07d15c83222924fc24e015fb9f7a02ea
DIST libjson-rpc-cpp-1.4.0.tar.gz 179478 BLAKE2B 1b5807665a5e055790a6ca3e977845ab6b8dc7fbcaf6baece170567cc4c5b16202b74cb72f47136a075352ee408dac26de85cf02e41873cbbb55aeac1145e1a6 SHA512 28774604fe91f0893fb36017f648556dced71cb731f0f76c95084af5dd35e167b69a0f5fdb64557ff273f7dc971bc6c469e4f32ada35d7cac18add18baf2f5ae

56
dev-cpp/libjson-rpc-cpp/libjson-rpc-cpp-1.4.0.ebuild

@ -0,0 +1,56 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit cmake
DESCRIPTION="JSON-RPC (1.0 & 2.0) framework for C++"
HOMEPAGE="https://github.com/cinemast/libjson-rpc-cpp"
SRC_URI="https://github.com/cinemast/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0/1"
KEYWORDS="~amd64 ~x86"
IUSE="+http-client +http-server redis-client redis-server +stubgen test"
RESTRICT="!test? ( test )"
RDEPEND="
dev-libs/jsoncpp:=
http-client? ( net-misc/curl:= )
http-server? ( net-libs/libmicrohttpd:= )
redis-client? ( dev-libs/hiredis:= )
redis-server? ( dev-libs/hiredis:= )
stubgen? ( dev-libs/argtable:= )"
DEPEND="${RDEPEND}"
BDEPEND="
test? ( dev-cpp/catch:0 )"
src_configure() {
local mycmakeargs=(
-DHTTP_CLIENT=$(usex http-client)
-DHTTP_SERVER=$(usex http-server)
-DREDIS_CLIENT=$(usex redis-client)
-DREDIS_SERVER=$(usex redis-server)
# they have no deps
-DTCP_SOCKET_CLIENT=ON
-DTCP_SOCKET_SERVER=ON
-DSERIAL_PORT_CLIENT=ON
-DSERIAL_PORT_SERVER=ON
-DUNIX_DOMAIN_SOCKET_CLIENT=ON
-DUNIX_DOMAIN_SOCKET_SERVER=ON
# they are not installed
-DCOMPILE_EXAMPLES=OFF
-DCOMPILE_STUBGEN=$(usex stubgen)
-DCOMPILE_TESTS=$(usex test)
-DCATCH_INCLUDE_DIR="${EPREFIX}/usr/include/catch2"
)
cmake_src_configure
}
src_test() {
# Tests fail randomly when run in parallel
local MAKEOPTS=-j1
cmake_src_test
}

BIN
dev-db/Manifest.gz

4
dev-db/go-etcd/metadata.xml

@ -1,13 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<upstream>
<bugs-to>https://github.com/coreos/go-etcd/issues</bugs-to>
<changelog>https://github.com/coreos/go-etcd/commits/master</changelog>
<doc>https://godoc.org/github.com/coreos/go-etcd/etcd</doc>
<remote-id type="github">coreos/go-etcd</remote-id>
</upstream>
<maintainer type="person">
<email>zmedico@gentoo.org</email>
</maintainer>
</pkgmetadata>

2
dev-db/pgadmin4/pgadmin4-4.29-r2.ebuild → dev-db/pgadmin4/pgadmin4-4.29-r3.ebuild

@ -60,7 +60,7 @@ RDEPEND="${COMMON_DEPEND}
>=dev-python/ldap3-2.5.1[${PYTHON_USEDEP}]
>=dev-python/passlib-1.7.2[${PYTHON_USEDEP}]
>=dev-python/psutil-5.7.0[${PYTHON_USEDEP}]
>=dev-python/psycopg-2.8[${PYTHON_USEDEP}]
<dev-python/psycopg-2.9[${PYTHON_USEDEP}]
>=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
>=dev-python/pytz-2020.1[${PYTHON_USEDEP}]
>=dev-python/simplejson-3.16.0[${PYTHON_USEDEP}]

2
dev-db/pgadmin4/pgadmin4-4.30-r2.ebuild → dev-db/pgadmin4/pgadmin4-4.30-r3.ebuild

@ -61,7 +61,7 @@ RDEPEND="${COMMON_DEPEND}
>=dev-python/ldap3-2.5.1[${PYTHON_USEDEP}]
>=dev-python/passlib-1.7.2[${PYTHON_USEDEP}]
>=dev-python/psutil-5.7.0[${PYTHON_USEDEP}]
>=dev-python/psycopg-2.8[${PYTHON_USEDEP}]
<dev-python/psycopg-2.9[${PYTHON_USEDEP}]
>=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
>=dev-python/pytz-2020.1[${PYTHON_USEDEP}]
>=dev-python/simplejson-3.16.0[${PYTHON_USEDEP}]

BIN
dev-go/Manifest.gz

4
dev-go/go-eapache-queue/go-eapache-queue-1.0.2.ebuild

@ -1,7 +1,7 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=7
EGO_SRC=github.com/eapache/queue
EGO_PN=${EGO_SRC}/...

4
dev-go/go-eapache-queue/go-eapache-queue-9999.ebuild

@ -1,7 +1,7 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=7
EGO_SRC=github.com/eapache/queue
EGO_PN=${EGO_SRC}/...

4
dev-go/go-snappy/go-snappy-0_pre20150729.ebuild

@ -1,7 +1,7 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2021 Gentoo Authors